% Comparison between Euler, RK4 and true solution

[t, yeu] = eulode(@example,[0 4],2,1);
[t, yrk] = rk4ode(@example,[0 4],2,1);
ytrue = solution([0:1:4]);

disp('     t       y_Euler   y_RK4     y_true   Eul.rel.err.(%) RK4rel.err.(%)')
disp([t', yeu', yrk', ytrue', (abs(ytrue-yeu)./ytrue*100)', (abs(ytrue-yrk)./ytrue*100)'])